Bug 21564 - Pb with ncurses
Summary: Pb with ncurses
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: emacs   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-01 02:14 UTC by Olivier Baudron
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-11 06:48:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Olivier Baudron 2000-12-01 02:14:30 UTC
I updated ncurses to ncurses-5.2-2.
Now, when I start emacs I get a warning message:

emacs: Symbol `ospeed' has different size in shared object, consider
re-linking

Comment 1 Olivier Baudron 2000-12-01 02:30:00 UTC
Sorry, this is probably the upgrade to glibc-2.2-5 wich causes the problem, not
ncurses.

Comment 2 Trond Eivind Glomsrxd 2000-12-01 16:25:30 UTC
This would be an ncurses problem.

Comment 3 Bill Nottingham 2000-12-01 16:47:37 UTC
emacs is built against a slightly different ncurses version. It needs rebuilding.

Comment 4 Trond Eivind Glomsrxd 2000-12-01 16:51:46 UTC
ncurses should be compatible through 7.x, anything else is a bug (emacs was
rebuilt for other reasons anyway, but this is a bug in ncurses.

Comment 5 Bill Nottingham 2000-12-11 06:48:31 UTC
No, emacs got built against the incompatible version. That's why it
needs/needed rebuilding.

In any case, it should be rebuilt by now.


Comment 6 Trond Eivind Glomsrxd 2000-12-11 19:12:17 UTC
It is - including emacs-20.7-23, coming to Rawhide soonish (some earlier ones
are also rebuilt)


Note You need to log in before you can comment on or make changes to this bug.